void gpsCourse() { // green = RX from GPS, green/wh = TX from GPS, orange = vin, orange/wh = gnd, connect RX to TX
  
  if (Serial3.available() > 0 ) {
    char c = Serial3.read();
    //Serial.println(c);
    // check if the character completes a valid GPS sentence
    if (gps.decode(c)) {
      // check if GPS positioning was active
      Serial.println();
      Serial.print("gprmc_status ");
      Serial.println(gps.gprmc_status());

      if (gps.gprmc_status() == 'A') {
        // calculate relative direction to destination
        g = gps.gprmc_course_to(dest_latitude, dest_longitude) - gps.gprmc_course();
        e = gps.gprmc_course_to(dest_latitude, dest_longitude); // returns initial course in degrees from last-known GPRMC position to destination
        f = gps.gprmc_course(); // angle of travel from gps
        Serial.print("This is direction to dest before check if g is less than 0 ");
        Serial.println(g);
        if (g < 0) {
          g += 360;
        }
        lat1 = gps.gprmc_latitude();
        //lat1 = 122.24669;
        long1 = gps.gprmc_longitude();
        Serial.print("  Latitude  ");
        Serial.print(lat1, 6);
        Serial.print("  Longitude  ");
        Serial.println(long1, 6);
        Serial.print("this is  the direction to dest minus current course "); Serial.println(g);
        Serial.print("this is gps.gprmc_course_to "); Serial.println(e);
        Serial.print("This is gps.gprmc_course or angle of travel from gps "); Serial.println(f);

        
        gpsRan = true;
        
      }
    }
  }
}

/*

   The Ultimate GPS can be set to DGPS WAAS by sending :
  - $PMTK313,1*2E (enable SBAS) the GPS answers $PMTK001,313,3*31 (OK)
  - $PMTK301,2*2E (set SBAS mode to WAAS), the GPS answers $PMTK001,303,3*30 (OK)

  DGPS enabled can be checked with $PMTK413*34, the GPS answers $PMTK513,1*28 if DGPS is on.
  DGPS mode can be checked with $PMTK401*37, the GPS answers $PMTK501,2*28 if set to WAAS.

  GPS must have a clear view to south and if OK :
  - the GPS locks to a satellite who's PRN is higher than 32 (I live in France and for me : PRN 39, wich is in fact PRN 126, Europe Middle East Africa / Immarsat)
  - the position fix indicator in GGA sentence (the feature after the E/W longitude indicator) turn to 2 (DGPS fix).

  I put the AdaFruit Ultimate GPS onto a known position point (+/- 10 cm I think) and with DGPS on the error is always less than 5 m an most of the time less than 1 m.

  With some averaging, the error is a few hundred of mm.

  Thank's EGNOS !































*/



