void IRscanSteering() { // just steering by IR only
  //Serial.println("Begin of IRscanSteering ");
  if (sonarClear == true) {
    readIR_Sensor();
    //      Serial.print("  left  ");
    //      Serial.print(left1);
    //      Serial.print("  right ");
    //      Serial.println(right1);
    // Turinig right to avoid left
    if (left1 <= leftDist && !( left1 <= leftDist && right1 <= rightDist) && millis() - previousTurnMillis >= turnInterval) {
      irhead += 2;
      readIR_Sensor();
      Serial.print(" Turinig right to avoid left ");
      irhead = constrain(irhead, 55, 120);
      Serial.println(irhead);
      steering.write(irhead);
      previousTurnMillis = millis();
    }
    // Turning left to avoid right
    if (right1 <= leftDist && !( left1 <= leftDist && right1 <= rightDist) && millis() - previousTurnMillis >= turnInterval) {
      irhead -= 2;
      readIR_Sensor();
      Serial.print(" Turning left to avoid right ");
      irhead = constrain(irhead, 55, 120);
      Serial.println(irhead);
      steering.write(irhead);
      previousTurnMillis = millis();
    }
    // go down the middle or close to walls on left and right
    if (left1 <= leftDist && right1 <= rightDist) {
      if (left1 < right1 - 2 && millis() - previousTurnMillis >= turnInterval) {
        irhead ++;
        readIR_Sensor();
        irhead = constrain(irhead, 55, 120);// steering range of 55 to 120
        Serial.print(" IR Head down middle, steering right to center "); Serial.println(irhead);
        steering.write(irhead);
        previousTurnMillis = millis();
      }
      if (right1 < left1 - 2 && millis() - previousTurnMillis >= turnInterval) {
        irhead --;
        readIR_Sensor();
        irhead = constrain(irhead, 55, 120);// steering range of 55 to 120
        Serial.print(" IR Head down middle, steeing left to center "); Serial.println(irhead);
        steering.write(irhead);
        previousTurnMillis = millis();
      }
      // this prints if left and right are less than set dist but within 4 of each other
      else if (right1 == left1 + 2 | right1 == left1 - 2) {
        Serial.println(" Centered in middle of detected walls on left and right ");
      }
    }
  }
}
