void readSonar_sensor() // called by scanup and scandown
{
  // Measure sonar dist
  digitalWrite(trigPin1, HIGH); //pin 12
  delayMicroseconds(30);
  pulse1 = pulseIn(pwPin1, HIGH); //pin 11
  sonar1 = pulse1 / 147;
  digitalWrite(trigPin1, LOW);
}

void readIR_Sensor() //called by IRscanSteering()
{
  left1 = getDistance(A0);
  //  Serial.print("Left  IR ");
  //  Serial.println(left1);
  right1 = getDistance(A1);
  //    Serial.print("  Right IR ");
  //    Serial.print(right1);
}

int getDistance(int pin) // called by readIR_Sensor()
{
  int distance = 0;
  int pinValue = analogRead(pin);

  if (pinValue != 0) {
    distance = 7000 / pinValue;

    if (distance > 80) {
      return 81;
    }
    else if (distance < 10) {
      return 9;
    }
    else {
      return distance;
    }
  }
  else return 81;
}
