void scanUpDn() {

  if (millis() - pScanStepMillis >= scanStepInterval) { // starts at 45 deg on scanservo, increments by 18, scans and stores if greater than last
    if (step45 == false) {
      pos = 60;
      step45 = true;
    }
    if (upRan == false) {
      scanservo.write(pos);
      //Serial.println(pos);
      readSonar_sensor();
      pos += 10;
    }
    if (upRan == false && sonar1 >= max_up) {
      max_up = sonar1;
      posMax = pos;
    }
    if (upRan == false && pos >= 120) {
      headUp = posMax;
      upRan = true;
      //Serial.print(" HeadUp "); Serial.println(headUp);
    }
    
    if (upRan) {
      pos -= 10;
      scanservo.write(pos);
      //Serial.println(pos);
      readSonar_sensor();
    }
    if (upRan && sonar1 >= max_dn) {
      max_dn = sonar1;
      posMax = pos;
    }
    if (upRan && pos <= 60) {
      headDn = posMax;
      Serial.print(" HeadDn "); Serial.println(headDn);
      head = (headUp + headDn) / 2;
      //Serial.print("  Head before map "); Serial.println(head);
      headAjust = map(head, 60, 120, -30, 30); // from to numbers are servo positions
      //head = map(head, 70, 110, 120, 55); // steering servo positions. Key is = map(value, fromLow, fromHigh, toLow, toHigh)
      //Serial.print("  Head after map  "); Serial.println(head);
      upRan = false;
      step45 = false;
      shortDist = false;
      scanUD = true;
    }
    
    pScanStepMillis = millis();
  }
}
